<div class="box box-default">
  <div class="box-body">
    <div class="alert alert-success" style="text-align:center; font-size:'4'" *ngIf="status"> Pond details are Saved Successfully </div>
    <form [formGroup]="technicianForm" novalidate>

      <div formArrayName="ponddtls">
        <div *ngFor="let address of technicianForm.controls.ponddtls.controls; let i = index" class="panel panel-default">

          <span>Pond {{i + 1}}</span>

          <div class="panel-body" [formGroupName]="i">
            <div class="form-group col-xs-2">
              <label>Gateway
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control" formControlName="hardwareid">
            </div>
            <div class="form-group col-xs-3">
              <label>Pond Location </label>
              <input type="text" class="form-control" formControlName="pondlocation">

            </div>
            <div class="form-group col-xs-3">
              <label>Pond Name </label>
              <input type="text" class="form-control" formControlName="pondname">

            </div>
            <div class="form-group col-xs-2">
              <label>Pond Image </label>
              <input type="file" class="filestyle" data-icon="false" formControlName="pondimage">
            </div>
            <div class="form-group col-xs-2 ">
              <div class="form-group col-xs-2 " *ngIf="technicianForm.controls.ponddtls.controls.length > 1">
                <!-- <span class="glyphicon glyphicon-remove pull-right" *ngIf="technicianForm.controls.ponddtls.controls.length > 1"> -->
                <a (click)="removePond(i)"> delete </a>
              </div>
            </div>
          </div>

        </div>

      </div>
      <div class="form-group col-xs-2 ">
        <br/>
        <a (click)="addPond()" style="cursor: default">
          Add new Pond +
        </a>
      </div>
      <br>
      <div class="box-footer">
        <button (click)="technicianForm.reset()" class="btn btn-default pull-right">Cancel</button>
        <button (click)="savePondDetails(technicianForm.value)" class="btn btn-info pull-right">
          Submit </button>
      </div>
    </form>
  </div>
</div>